curl --request GET \
--url https://api.prequel.co/destinations \
--header 'X-API-KEY: <api-key>'import requests
url = "https://api.prequel.co/destinations"
headers = {"X-API-KEY": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-KEY': '<api-key>'}};
fetch('https://api.prequel.co/destinations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": "<string>",
"data": {
"destinations": [
{
"abs": {
"folder": "<string>",
"container_name": "<string>",
"auth_method": "<string>",
"storage_account_name": "<string>",
"disable_manifest": true,
"csv": {
"delimiter": "<string>"
}
},
"id": "<string>",
"vendor": "<string>",
"name": "<string>",
"recipient_id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"last_successful_transfer_ended_at": "2023-11-07T05:31:56Z",
"frequency_minutes": 123,
"id_in_provider_system": "<string>",
"products": [
"<string>"
],
"enabled_models": [
"<string>"
],
"max_concurrent_transfers": 123,
"max_concurrent_queries_per_transfer": 123,
"is_enabled": true,
"last_completed_transfer": {
"id": "<string>",
"status": "<string>",
"is_full_refresh": true,
"models": [
"<string>"
],
"log": "<string>",
"submitted_at": "2023-11-07T05:31:56Z",
"start_transfer_window_at": "2023-11-07T05:31:56Z",
"end_transfer_window_at": "2023-11-07T05:31:56Z",
"rows_transferred": 123,
"delta_rows_transferred": 123,
"volume_transferred_in_mb": 123,
"is_debug_mode": true,
"actor_id": "<string>",
"actor_type": "<string>",
"source_ids": [
"<string>"
],
"destination_id": "<string>",
"model_metrics": [
{
"model_id": "<string>",
"rows_transferred": 123,
"delta_rows_transferred": 123,
"volume_transferred_in_mb": 123,
"start_transfer_window_at": "2023-11-07T05:31:56Z",
"end_transfer_window_at": "2023-11-07T05:31:56Z",
"most_recent_last_updated_at": "2023-11-07T05:31:56Z",
"error": {
"error": "<unknown>",
"error_code": "<string>",
"title": "<string>",
"blame": "<string>",
"documentation_url": "<string>",
"trace": "<string>",
"message": "<string>"
},
"model_name": "<string>"
}
],
"models_snapshot": [
{
"model_id": "<string>",
"model_name": "<string>",
"revision_id": "<string>"
}
],
"started_at": "2023-11-07T05:31:56Z",
"ended_at": "2023-11-07T05:31:56Z",
"tags": {}
},
"total_rows_transferred_last_billing_period": 123,
"total_delta_rows_transferred_last_billing_period": 123,
"total_rows_transferred_current_billing_period": 123
}
]
},
"message": "<string>",
"has_next": true,
"next_url": "<string>"
}{
"status": "<string>",
"message": "<string>",
"data": null
}{
"status": "<string>",
"message": "<string>",
"data": null
}{
"status": "<string>",
"message": "<string>",
"data": null
}{
"status": "<string>",
"message": "<string>",
"data": null
}List destinations
The Destination endpoint returns the configured data destinations. Destinations are the databases and data warehouses within the consumer environments.
Authorizations
Query Parameters
Destination ID. Multiple IDs can also be provided as a comma-separated string.
Destination name. Case-insensitive. Multiple values can be provided as a comma-separated string.
Filter by vendor type (postgres, redshift).
Filter by enabled status (true or false).
Recipient ID. Multiple values can be provided as a comma-separated string.
Id of the organization to whom this recipient corresponds in the provider's system. In other words, likely some kind of org_id or customer_id in your system. Multiple values can be provided as a comma-separated string.
Product name. Multiple values can be provided as a comma-separated string.
Model name. Multiple values can be provided as a comma-separated string.
Number of items to return per page.
Sort order for items
asc, desc Used for pagination - represents last page seen. Value is included in response when there is a next page.